vim.api.nvim_create_augroup("custom_group", {clear = true})

vim.api.nvim_create_autocmd("TermOpen", {
  group   = "custom_group",
  pattern = "*",
  command = "startinsert"
})

vim.api.nvim_create_autocmd("TermOpen", {
  group   = "custom_group",
  pattern = "*",
  command = "setlocal listchars= nonumber norelativenumber"
})

vim.api.nvim_create_autocmd("VimResized", {
  group   = "custom_group",
  pattern = "*",
  command = ":wincmd ="
})

vim.api.nvim_create_autocmd("InsertEnter", {
  group   = "custom_group",
  pattern = "*",
  command = "setlocal nohlsearch"
})

vim.api.nvim_create_autocmd("TextYankPost", {
  group   = "custom_group",
  pattern = "*",
  callback = function ()
    require("vim.highlight").on_yank({timeout = 1000})
  end,
})

vim.api.nvim_create_autocmd("BufEnter", {
  group   = "custom_group",
  pattern = "*.log",
  command = ":AnsiEsc"
})
